Error getting Blog-ID 403 - Wordpress Hosted

For your questions about Installation & Configuration.
Marlon
Posts: 3
Joined: 15.07.2006 21:44

Error getting Blog-ID 403 - Wordpress Hosted

Postby Marlon » 15.07.2006 21:55

Thanks for a terrific program, and especially for FREE!!!!

Tried several different settings and finally don't know what else to try.

My FTP proggy connects just fine (2 different ones) so I'm stumped.

Turned off my firewall but the XP firewall is still going, could that be stopping it? (Yes, I do know that running 2 firewalls is a bad thing)

Incidently the Blog is in a temporary subdomain if that matters.

IE: http://www.subdomain.domain.com/wordpress/

Error:

Error getting Blog-ID
Errorcode: 403
Bad login/pass combination

Johannes
BlogDesk
Posts: 553
Joined: 19.08.2005 20:29

Postby Johannes » 15.07.2006 22:15

Do you have a very long password for WordPress (more than 15 characters)? If yes: does it work with a shorter one?

Marlon
Posts: 3
Joined: 15.07.2006 21:44

PW length = 12

Postby Marlon » 15.07.2006 22:41

Johannes,

Thank you for replying within 10 minutes of my post, wow, that is service...

Password length is less than 15, a combination of characters and numbers.

Also this is definately not an emergency so please reply at your leisure because the blog is under construction and won't be ready for the public for a few days. Thank you SO much.

Marlon
Posts: 3
Joined: 15.07.2006 21:44

Update

Postby Marlon » 16.07.2006 00:03

UPDATE:

Im sorry Johannes, I was wrong about the password.
Your intuition was dead on. I actually had confused
my server P/W with my Wordpress P/W.

I will try it with the correct P/W and if that doesn't
work I will shorten it like you said. WIll keep you
posted as I get it working. Thanks for being so kind.

stfox38
Posts: 3
Joined: 20.08.2006 16:45

No help...Just a "Me, too"

Postby stfox38 » 20.08.2006 17:11

I also get a 403 error when trying to configure a third-party blog writer on my Wordpress blog. I have tried four different programs; w.bloggar, BlogJet, Blogdesk, and Zfoundry. With all of them I can connect to my wordpress blogs on Wordpress.com and my localhost server. All of them give me an error when trying to connect to my blog on stephenfox.us/wp .

Blogdesk provided a good clue for me when it got all the way to Get Blog ID. It gave me a forbidden message. It also stated that "server understood the request, but refused it" (almost a quote) I went into the database with PhpMyAdmin and checked that my name and pswd were still correct. I can login from the site fine. In the database the blog_id is 0. I tried that and still no luck. The wordpress version is still 1.5.2 there.

I'm running out of ideas, any help? Thanks

Johannes
BlogDesk
Posts: 553
Joined: 19.08.2005 20:29

Re: No help...Just a "Me, too"

Postby Johannes » 20.08.2006 17:41

stfox38 wrote:All of them give me an error when trying to connect to my blog on stephenfox.us/wp .


There should be a file called stephenfox.us/wp/xmlrpc.php - can you locate this file?

stfox38 wrote:The wordpress version is still 1.5.2 there.


This could be the reason - it's always a good idea to update to the newest version.

stfox38
Posts: 3
Joined: 20.08.2006 16:45

Thanks for the rapid response

Postby stfox38 » 20.08.2006 17:51

Hi! Yes, I located xmlrpc.php and after a series of failures, I even replaced it with the newest version of the file from wordpress 2. No change. I guess I could just update Wordpress, but I've read some negative comments on it. I remember using w.bloggar to make posts some time ago, but I lost that configuration in a HDD crash. I have tried both the site admin and stephen usernames and neither work.

Maybe an upgrade would be my best option.

Johannes
BlogDesk
Posts: 553
Joined: 19.08.2005 20:29

Re: Thanks for the rapid response

Postby Johannes » 20.08.2006 17:56

stfox38 wrote:Hi! Yes, I located xmlrpc.php and after a series of failures, I even replaced it with the newest version of the file from wordpress 2.


You can't mix files from different versions.

stfox38 wrote:Maybe an upgrade would be my best option.


Yes.

stfox38
Posts: 3
Joined: 20.08.2006 16:45

OK, now what?

Postby stfox38 » 20.08.2006 22:04

Well, I bit the bullet and upgraded my site to WordPress 2.0.4 and even got the template-functions-general.php file edited to find my left sidebar. It works fine, but I still get the same error. The server understands the request but refuses to comply.


there just about has to be something to do with the hosting server. Maybe I can get an answer from them tomorrow.

I'd still like any ideas you might have. Thanks again for your help.

My blog is at http://stephenfox.us/wp/

fullphaser
Posts: 2
Joined: 28.09.2006 06:18

Postby fullphaser » 28.09.2006 06:19

I also seem to get this error, and I am using the 2.0.4 version of wordpress they currently have avaliable on their site, any clues?

Johannes
BlogDesk
Posts: 553
Joined: 19.08.2005 20:29

Postby Johannes » 28.09.2006 09:03

Sorry, noe clue. It would be interesting to know if you can post using other clients than BlogDesk, like w.bloggar, BlogJet or Qumana.

fullphaser
Posts: 2
Joined: 28.09.2006 06:18

Postby fullphaser » 01.10.2006 16:56

changed the name of the xmlrpc.php to blogdesk.php and it now works. :)


Return to “Installation & Configuration”